
// set pin numbers:
int buzzerPin = 2;        // the number of the buzzer pin
int vibrationsensor =  3;      // the number of the vibration sensor

// variables will change:
int vibrationState = 0;         // variable for reading the vibration sensor status

void setup() {
  // initialize the buzzer pin as output:
  pinMode(buzzerPin, OUTPUT);      
  // initialize the vibration sensor pin as input:
  pinMode(vibrationsensor, INPUT);     
}

void loop(){
  // read the state of the vibration sensor value:
  vibrationState = digitalRead(vibrationsensor);

  // check if vibration
  // if it is, the vibrationState is HIGH
  if (vibrationState == HIGH) {     
    // buzzer alarm
    digitalWrite(buzzerPin, HIGH);
    delay(500);  
  } 
  else {
    // turn buzzer off:
    digitalWrite(buzzerPin, LOW); 
  }
}
