
// set pin numbers:
int buzzerPin = 2;        // the number of the buzzer pin
int hallsensor =  3;      // the number of the hall sensor

// variables will change:
int HallState = 0;         // variable for reading the hall sensor status

void setup() {
  // initialize the buzzer pin as output:
  pinMode(buzzerPin, OUTPUT);      
  // initialize the hall sensor pin as input:
  pinMode(hallsensor, INPUT);     
}

void loop(){
  // read the state of the hall sensor value:
  HallState = digitalRead(hallsensor);

  // check if magnet near by hall sensor.
  // if it is, the HallState is LOW
  if (HallState == LOW) {     
    // buzzer alarm
    digitalWrite(buzzerPin, HIGH);  
  } 
  else {
    // turn buzzer off:
    digitalWrite(buzzerPin, LOW); 
  }
}
